[vdr] 02/03: Merge branch 'master' into e-tobi
Tobias Grimm
tiber-guest at moszumanska.debian.org
Sun Feb 22 10:47:47 UTC 2015
This is an automated email from the git hooks/post-receive script.
tiber-guest pushed a commit to annotated tag debian/2.2.0-1_etobi2
in repository vdr.
commit 436195e4b4590970b0ac1242593df406a3d917da
Merge: 7bc5b72 588ff1c
Author: etobi <git at e-tobi.net>
Date: Sun Feb 22 11:02:21 2015 +0100
Merge branch 'master' into e-tobi
Conflicts:
debian/.vdr-patches
debian/changelog
debian/patches/99_ncursesw-include.patch
debian/po/cs.po
debian/po/da.po
debian/po/de.po
debian/po/es.po
debian/po/fr.po
debian/po/gl.po
debian/po/it.po
debian/po/ja.po
debian/po/nl.po
debian/po/pt.po
debian/po/ru.po
debian/po/sv.po
debian/po/templates.pot
debian/vdr.config
debian/vdr.postinst
debian/vdr.templates
debian/README.Debian | 2 +-
debian/changelog | 8 ++++++++
debian/config-loader.sh | 2 +-
debian/vdr.NEWS | 13 +++++++++++++
debian/vdr.postinst | 19 ++++++++++++++++++-
5 files changed, 41 insertions(+), 3 deletions(-)
diff --cc debian/changelog
index 84776f0,f84f5bd..1a18b69
--- a/debian/changelog
+++ b/debian/changelog
@@@ -1,19 -1,14 +1,27 @@@
-vdr (2.2.0-1) UNRELEASED; urgency=medium
++vdr (2.2.0-1~etobi2) UNRELEASED; urgency=medium
+
- * New upstream release
+ * Dropped upgrade code for pre-Squeeze releases
+ * Default video directory is now /var/lib/video because multiple video
+ directories are not supported anymore
+
- -- Tobias Grimm <etobi at debian.org> Thu, 19 Feb 2015 12:18:30 +0100
++ -- Tobias Grimm <etobi at debian.org> Sun, 22 Feb 2015 10:52:50 +0100
++
+vdr (2.2.0-1~etobi1) unstable; urgency=medium
+
+ * New upstream release
+ * New ABI version 2.2.0
+
+ -- Tobias Grimm <etobi at debian.org> Thu, 19 Feb 2015 12:29:13 +0100
+
+vdr (2.1.10-1~etobi1) unstable; urgency=medium
+
+ * New upstream release
-vdr (2.0.6-2) unstable; urgency=medium
+ -- Tobias Grimm <etobi at debian.org> Thu, 12 Feb 2015 18:51:55 +0100
+vdr (2.1.9-1~etobi1) unstable; urgency=medium
+
+ * New upstream release
* Merged from Jessie-version 2.0.3-3: Fixed use of getent in postinst script
for detecting existing vdr user and group (Closes: #770773)
* Standards-Version: 3.9.6
diff --cc debian/vdr.NEWS
index 7d868d1,7ea518b..6dc801b
--- a/debian/vdr.NEWS
+++ b/debian/vdr.NEWS
@@@ -1,3 -1,16 +1,16 @@@
-vdr (2.2.0-1) unstable; urgency=low
++vdr (2.2.0-1~etobi2) unstable; urgency=low
+
+ * Support for multiple video directories dropped
+
+ The code for distributing recordings over several video directories has been
+ removed. VDR now by default assumes that the video directory is one big disk.
+ It is recommended to use e.g. mhddfs or LVM to combine multiple volumes.
+
+ The default video directory for VDR now is /var/lib/video. This can be changed
+ by modifying the VIDEO_DIR variable in /etc/default/vdr.
+
+ -- Tobias Grimm <etobi at debian.org> Thu, 19 Feb 2015 12:18:30 +0100
+
vdr (1.7.17-1) unstable; urgency=low
* Changed Full Featured DVB card support
diff --cc debian/vdr.postinst
index 10edb1a,8a4961c..69a3d53
--- a/debian/vdr.postinst
+++ b/debian/vdr.postinst
@@@ -1,71 -1,137 +1,88 @@@
-#! /bin/sh
-# postinst script for vdr
-#
-# see: dh_installdeb(1)
+#!/bin/sh
-set -e
+# Peter Siering <ps at ctmagazin.de>, 10/2/2003
-# summary of how this script can be called:
-# * <postinst> `configure' <most-recently-configured-version>
-# * <old-postinst> `abort-upgrade' <new version>
-# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-# <new-version>
-# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-# <failed-install-package> <version> `removing'
-# <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
+ #
-# quoting from the policy:
-# Any necessary prompting should almost always be confined to the
-# post-installation script, and should be protected with a conditional
-# so that unnecessary prompting doesn't happen if a package's
-# installation fails and the `postinst' is called with `abort-upgrade',
-# `abort-remove' or `abort-deconfigure'.
-
-# source debconf lib
-#. /usr/share/debconf/confmodule
-
-
-#
+ # Create /var/lib/video if /var/lib/video does not exist.
+ # If /var/lib/video.00 exists, /var/lib/video will become a symlink
+ #
+ TryCreateVideoDir() {
+ if [ ! -e /var/lib/video -a ! -L /var/lib/video ]; then
+ if [ -e /var/lib/video.00 ]; then
+ # No /var/lib/video but /var/lib/video.00 -> Make video a symlink pointing to video.00
+ ln -s video.00 /var/lib/video
+ else
+ # create /var/lib/video
+ mkdir /var/lib/video
+ fi
+ fi
+ }
+
-case "$1" in
- configure)
-
- . /usr/share/debconf/confmodule
-
- # install/move channels.conf
- if [ ! -e /var/lib/vdr/channels.conf ]; then
- db_get vdr/select_dvb_card
-
- case "$RET" in
- Satellite)
- cp /usr/share/vdr/channels.conf-examples/channels.conf.sat /var/lib/vdr/channels.conf
- chmod 644 /var/lib/vdr/channels.conf
- ;;
- Terrestrial)
- cp /usr/share/vdr/channels.conf-examples/channels.conf.terr /var/lib/vdr/channels.conf
- chmod 644 /var/lib/vdr/channels.conf
- ;;
- Cable)
- cp /usr/share/vdr/channels.conf-examples/channels.conf.cable /var/lib/vdr/channels.conf
- chmod 644 /var/lib/vdr/channels.conf
- ;;
- esac
- fi
-
- db_get vdr/create_video_dir
- if $RET; then
- TryCreateVideoDir
- fi
-
- # ensure that user and group 'vdr' exist
- USER=vdr
- GROUP=vdr
- if ! getent group "$GROUP"| grep -q "^$GROUP:" ; then
- echo -n "Adding group $GROUP.."
- addgroup --quiet --system $GROUP
- echo "..done"
- fi
- if ! getent passwd "$USER"| grep -q "^$USER:"; then
- echo -n "Adding user $USER.."
- adduser --system --home /var/lib/vdr --shell /bin/false \
- --gecos "VDR user" --no-create-home \
- --disabled-login --disabled-password \
- --ingroup $GROUP \
- $USER
- echo "...done"
- fi
+
- # put vdr in group video so that it can access the DVB device nodes
- adduser $USER video > /dev/null || true
+ACTION=$1
- # ensure that vdr's config and recording files are correctly owned
- [ -e /var/lib/video ] && chown -R $USER:$GROUP /var/lib/video/
- if [ -e /var/lib/vdr ] ; then
- chown $USER:$GROUP /var/lib/vdr
- chown $USER:$GROUP /var/lib/vdr/* > /dev/null 2>&1 || true
- fi
- if [ -e /var/cache/vdr ] ; then
- chown $USER:$GROUP /var/cache/vdr
- chown $USER:$GROUP /var/cache/vdr/* > /dev/null 2>&1|| true
- fi
+# Upgrade <= 1.2.6-26 to a more FHS-conform directory structure
+#
- # make /usr/lib/vdr/vdr-shutdown.wrapper setuid/setgid
- # (owner root:vdr, mode 6750)
- if [ -e /usr/lib/vdr/vdr-shutdown.wrapper ] ; then
- chown root:$GROUP /usr/lib/vdr/vdr-shutdown.wrapper && \
- chmod 6750 /usr/lib/vdr/vdr-shutdown.wrapper
+if [ "$ACTION" = "configure" ] ; then
+ # Fix channels.conf when updating from 1.5.14 to 1.5.15
+ if dpkg --compare-versions "$2" ge "1.5.14" ; then
+ if dpkg --compare-versions "$2" lt "1.5.15" ; then
+ if [ -e /var/lib/vdr/channels.conf ]; then
+ cp /var/lib/vdr/channels.conf /var/lib/vdr/channels.conf.1.5.14
+ sed -i 's/M2O0S0//' /var/lib/vdr/channels.conf
+ fi
fi
- ;;
-
- abort-upgrade|abort-remove|abort-deconfigure)
- ;;
+ fi
- [ ! -d /var/lib/video.00 ] && mkdir /var/lib/video.00
- *)
- echo "postinst called with unknown argument \`$1'" >&2
- exit 1
- ;;
-esac
++ TryCreateVideoDir
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
+ # copy example channels.conf files into config dir
+ if [ ! -e /var/lib/vdr/channels.conf ]; then
+ cp /usr/share/doc/vdr/examples/channels.conf* /var/lib/vdr/
+ gunzip /var/lib/vdr/channels.conf*.gz
+ fi
-db_stop
+ # ensure that user and group 'vdr' exist
+ USER=vdr
+ GROUP=vdr
+ if ! getent group | grep -q "^$GROUP:" ; then
+ echo -n "Adding group $GROUP.."
+ addgroup --quiet --system $GROUP
+ echo "..done"
+ fi
+ if ! getent passwd | grep -q "^$USER:"; then
+ echo -n "Adding user $USER.."
+ adduser --system --home /var/lib/vdr --shell /bin/false \
+ --gecos "VDR user" --no-create-home \
+ --disabled-login --disabled-password \
+ --ingroup $GROUP \
+ $USER
+ echo "...done"
+ fi
+ # put vdr in group video so that it can access the DVB device nodes
+ adduser $USER video > /dev/null || true
-# FIXME
-# wait for vdr to properly shutdown before it is restarted again
-sleep 5
+ # ensure that vdr's config and recording files are correctly owned
+ [ -e /var/lib/video ] && chown -R $USER:$GROUP /var/lib/video/
+ [ -e /var/lib/video.00 ] && chown -R $USER:$GROUP /var/lib/video.00/
+ [ -e /var/lib/video.01 ] && chown -R $USER:$GROUP /var/lib/video.01/
+ if [ -e /var/lib/vdr ] ; then
+ chown -R $USER:$GROUP /var/lib/vdr
+ chown $USER:$GROUP /var/lib/vdr/* > /dev/null 2>&1 || true
+ fi
+ if [ -e /var/cache/vdr ] ; then
+ chown $USER:$GROUP /var/cache/vdr
+ chown $USER:$GROUP /var/cache/vdr/* > /dev/null 2>&1|| true
+ fi
+ # make /usr/lib/vdr/vdr-shutdown.wrapper setuid/setgid (owner root:vdr, mode 6750)
+ if [ -e /usr/lib/vdr/vdr-shutdown.wrapper ] ; then
+ chown root:$GROUP /usr/lib/vdr/vdr-shutdown.wrapper && \
+ chmod a=,u+srwx,g+srx /usr/lib/vdr/vdr-shutdown.wrapper
+ fi
+fi
#DEBHELPER#
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-vdr-dvb/vdr.git
More information about the pkg-vdr-dvb-changes
mailing list